Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.transformer.om
Class OMReferencingForeignKeyTableTransformer

    java.lang.Object
      org.apache.torque.templates.transformer.om.OMReferencingForeignKeyTableTransformer

    public class OMReferencingForeignKeyTableTransformer

extends Object

Sets the foreign tables for each of the foreign keys, and define variables, getters and setters for the complexObjectModel. So the source elements are (already processed by OMForeignKeyTransformer) table foreign-key ... table (the foreign referenced table) foreign-key ... table ... and the outcome is table foreign-key ... table (the referenced table in the foreign key) foreign-key ... table ... referencing-foreign-keys foreign-key (a foreign key where the foreignTable is the current table) ... table (the referenced table in the foreign key, i.e this table.) foreign-key ... table ... On running this transformer, the table element in the foreign-key elements must be set properly.

Constructor Summary
`OMReferencingForeignKeyTableTransformer()`

Method Summary
`void` | `transform(SourceElement table, ControllerState controllerState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OMReferencingForeignKeyTableTransformer

    public OMReferencingForeignKeyTableTransformer()

Method Detail

### transform

    public void transform(SourceElement table,
                          ControllerState controllerState)
                   throws SourceTransformerException

  Throws:
    `SourceTransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.